# Copyright (C) 2007-2009 Hardaker
# License: GNU GPLv2.  See the COPYING file for details.
package GeoDB::AutoGUI::Values::Sets;

our $VERSION = "1.11";

use GeoDB::AutoGUI::Values;
our @ISA=qw(GeoDB::AutoGUI::Values);

our @GEOOPTIONS =
  (
   { name => 'orderby',
     help => 'Can be set to order by "modified" (default) or "name"',
     title => 'Order By:',
     advanced => 1,
     values => [qw(modified name)],
     default => 'modified'
   },
  );

sub get_gui_values {
    my ($self, $args) = @_;

    # default to no zips and no extra waypoints
    my $extra = ' where name not like \'%.zip\'
                    and name not like \'%:waypoints\'
                    and name <> \'search:geoqo\'
                    and name <> \'firefoxgeoqo\'';

    if ($self->{'options'}{'skip'}) {
	$extra = ' where name not like \'' . $self->{'options'}{'skip'} . '\' ';
    }
    $extra = '' if ($self->{'options'}{'noskip'});

    my $res = $self->get_sql_flattened_values('select distinct name
                                                 from setinfo' .
                                              $extra .
					      ' order by ' .
					      $self->{'options'}{'orderby'} .
					      ' desc');
    return $res;
}

