# Copyright (C) 2007-2009 Hardaker
# License: GNU GPLv2.  See the COPYING file for details.
package GeoDB::Export::Loc;

use strict;
use GeoDB::Export;
use GeoDB::Utils;
use Encode;

our $VERSION = "1.11";

our @ISA = qw(GeoDB::Export);

sub _x {
    return encode('utf8', GeoDB::Export::_add_basic_entity(@_));
}

sub export_it {
    my ($self, $file, $set) = @_;

    GEODEBUG(1,"writing file: $file\n");
    open(O, ">$file");

    my $datestamp = get_date_stamp();

    # start the header
    # <bounds minlat="38.236517" minlon="-122.04275" maxlat="38.870533" maxlon="-121.271167" />
    print O "<?xml version=\"1.0\" encoding=\"utf-8\"?>
<loc version=\"1.0\" src=\"GeoQO\">
";

    $set->load_parts();
    $set->foreach(sub {
		      my $c=$_[0]{'data'};
		      my $type = _x($c->{'sym'} || $c->{'type'});
		      print O "  <waypoint>
    <name id=\"" . _x($_[0]->ident()) . "\">" . _x($c->{desc}) . "</name>
    <coord lat=\"" . _x($c->{'lat'}) . "\" lon=\"" . _x($c->{'lon'}) . "\" />
    <type>" . _x($type) . "</type>
    <link text=\"Cache Details\">" . _x($c->{url}) . "</link>
  </waypoint>
";
		  });
    print O "</loc>\n";
    close(O);
}

1;

=head1 NAME

Loc - export loc files

=head1 DESCRIPTION

START HELP

  > geoqo -s 'cache:name=cool cache' -e myfile.loc

The loc exporter writes out a loc file containing all the caches in
the search set.

END HELP

=head1 AUTHOR

Wes Hardaker (AKA Yamar) <hardaker ATAT users.sourceforge.net> 

=cut
